Knowledgebase
Leica Geosystems Cyclone 9.1.6
Posted by Brian Sloman on 21 July 2017 01:18 PM

MicroSurvey CAD Ultimate and Studio editions require Leica Geosystems Cyclone 9.1.1 or newer, but the latest version is recommended for maximum compatibility and performance.

A Cyclone license is not required, the free viewer is sufficient for all MicroSurvey CAD point cloud functionality.

A Cyclone license is required for certain functionality within Cyclone iteself, such as registering, cleaning and unifying point clouds, etc.

Link: Download Cyclone 9.1.6 (64-bit) 

Link: Download Cyclone 9.1.4 (32-bit) - note that the 32-bit version was discontinued after version 9.1.4.

Link: Download Cyclone 9.1.6 Release Notes 

Click here for instructions on installing Cyclone in its free "Viewer" mode.

(0 vote(s))
Helpful
Not helpful

Comments (0)